## clockoverlay

clockoverlay — Overlays the current clock time on a video stream

## Synopsis

                        GstClockOverlay;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTextOverlay
                         +----GstClockOverlay

## Properties

      "time-format"              gchar*                : Read / Write

## Description

This element overlays the current clock time on top of a video stream. You can position the text and configure the font details using the properties of the GstTextOverlay class. By default, the time is displayed in the top left corner of the picture, with some padding to the left and to the top.

### Example launch lines

    1

    gst-launch -v videotestsrc ! clockoverlay ! xvimagesink

Display the current time in the top left corner of the video picture

    1

    gst-launch -v videotestsrc ! clockoverlay halign=right valign=bottom text="Edge City" shaded-background=true ! ffmpegcolorspace ! ximagesink

Another pipeline that displays the current time with some leading text in the bottom right corner of the video picture, with the background of the text being shaded in order to make it more legible on top of a bright video background.

## Details

### GstClockOverlay

    typedef struct _GstClockOverlay GstClockOverlay;

Opaque clockoverlay data structure.

## Property Details

### The `"time-format"` property

      "time-format"              gchar*                : Read / Write

Format to use for time and date value, as in strftime.

Default value: "%H:%M:%S"

## See Also

GstTextOverlay, GstTimeOverlay